Categories:
  - Development
License: MIT
SourceCode: https://github.com/Techno-Disaster/tldr-flutter
IssueTracker: https://github.com/Techno-Disaster/tldr-flutter/issues
Changelog: https://github.com/Techno-Disaster/tldr-flutter/releases
Donate: https://github.com/sponsors/Techno-Disaster

AutoName: tldr

RepoType: git
Repo: https://github.com/Techno-Disaster/tldr-flutter.git

Builds:
  - versionName: 1.0.1
    versionCode: 2
    commit: v1.0.1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.3
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --no-sound-null-safety

  - versionName: 1.1.0
    versionCode: 3
    commit: v1.1.0+1
    output: build/app/outputs/apk/release/app-release.apk
    srclibs:
      - flutter@2.0.3
    prebuild: echo 'android.applicationVariants.all { variant -> variant.outputs.all
        { output -> outputFileName = "app-${output.baseName}.apk" } }' >> android/app/build.gradle
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --no-sound-null-safety

  - versionName: 2.1.1
    versionCode: 5
    commit: 6bed7f19f7446696cb1502931fe8da641a93b7c8
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --no-sound-null-safety

  - versionName: 2.1.2
    versionCode: 6
    commit: 09e9ad9792734e653ca7f71b5f0f2af6d63d77b5
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --no-sound-null-safety

  - versionName: 2.2.0
    versionCode: 7
    commit: 1ab9cbb336677f629a8374d33bcdaf4b726f54ca
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.5.3
    scanignore:
      - tldrdict/static/pages.zip
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --no-sound-null-safety

  - versionName: 2.3.1
    versionCode: 9
    commit: ed407bb73652ad8afe3ebf43bc15183cc917d545
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    scanignore:
      - tldrdict/static/pages.zip
      - tldrdict/static/allpages.zip
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --no-sound-null-safety

  - versionName: 2.4.0
    versionCode: 10
    commit: 03a105f09d0f26396de83b616de63eeea830f469
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.8.1
    scanignore:
      - tldrdict/static/pages.zip
      - tldrdict/static/allpages.zip
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --no-sound-null-safety

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v.*$
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.4.0
CurrentVersionCode: 10
